Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString Class Reference

Represents a string from a ZipFile which is stored as an array of bytes. More...

## Public Member Functions
| ZipString (string comment)
| Initialise a ZipString with a string.
| ZipString (byte[] rawString)
| Initialise a ZipString using a string in its binary 'raw' form.
void | Reset ()
| Reset the comment to its initial state.

## Static Public Member Functions
static implicit | operator string (ZipString zipString)
| Implicit conversion of comment to a string.

## Properties
bool | IsSourceString`[get]`
| Get a value indicating the original source of data for this instance. True if the source was a string; false if the source was binary data.
int | RawLength`[get]`
| Get the length of the comment when represented as raw bytes.
byte[] | RawComment`[get]`
| Get the comment in its 'raw' form as plain bytes.

## Private Member Functions
void | MakeTextAvailable ()
void | MakeBytesAvailable ()

## Private Attributes
string | comment_
byte[] | rawComment_
bool | isSourceString_

## Detailed Description

Represents a string from a ZipFile which is stored as an array of bytes.

## Constructor & Destructor Documentation

## ◆ ZipString() [1/2]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.ZipString | ( | string | comment | ) |

Initialise a ZipString with a string.

Parameters

  comment | The textual string form.

Here is the caller graph for this function:

## ◆ ZipString() [2/2]

ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.ZipString | ( | byte[] | rawString | ) |

Initialise a ZipString using a string in its binary 'raw' form.

Parameters

  rawString |

## Member Function Documentation

## ◆ MakeBytesAvailable()

void ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.MakeBytesAvailable | ( |  | ) |
| private

Here is the call graph for this function:

## ◆ MakeTextAvailable()

void ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.MakeTextAvailable | ( |  | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ operator string()

implicit ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.operator string | ( | ZipString | zipString | ) |
| static

Implicit conversion of comment to a string.

Parameters

  zipString | The ZipString to convert to a string.

Returns
  The textual equivalent for the input value.

Here is the call graph for this function:

## ◆ Reset()

void ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.Reset | ( |  | ) |

Reset the comment to its initial state.

## Member Data Documentation

## ◆ comment_

string ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.comment_
| private

## ◆ isSourceString_

bool ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.isSourceString_
| private

## ◆ rawComment_

byte [] ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.rawComment_
| private

## Property Documentation

## ◆ IsSourceString

bool ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.IsSourceString
| get

Get a value indicating the original source of data for this instance. True if the source was a string; false if the source was binary data.

## ◆ RawComment

byte [] ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.RawComment
| get

Get the comment in its 'raw' form as plain bytes.

## ◆ RawLength

int ICSharpCode.SharpZipLib.Zip.ZipFile.ZipString.RawLength
| get

Get the length of the comment when represented as raw bytes.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs